Skip to content
Start here

Edit additional audio tracks on a video

stream.audio_tracks.edit(straudio_identifier, AudioTrackEditParams**kwargs) -> Audio
PATCH/accounts/{account_id}/stream/{identifier}/audio/{audio_identifier}

Edits additional audio tracks on a video. Editing the default status of an audio track to true will mark all other audio tracks on the video default status to false.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Stream Write
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
identifier: str

A Cloudflare-generated unique identifier for a media item.

maxLength32
audio_identifier: str

The unique identifier for an additional audio track.

maxLength32
default: Optional[bool]

Denotes whether the audio track will be played by default in a player.

label: Optional[str]

A string to uniquely identify the track amongst other audio track labels for the specified video.

ReturnsExpand Collapse
class Audio:
default: Optional[bool]

Denotes whether the audio track will be played by default in a player.

label: Optional[str]

A string to uniquely identify the track amongst other audio track labels for the specified video.

status: Optional[Literal["queued", "ready", "error"]]

Specifies the processing status of the video.

One of the following:
"queued"
"ready"
"error"
uid: Optional[str]

A Cloudflare-generated unique identifier for a media item.

maxLength32

Edit additional audio tracks on a video

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
audio = client.stream.audio_tracks.edit(
    audio_identifier="ea95132c15732412d22c1476fa83f27a",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    identifier="ea95132c15732412d22c1476fa83f27a",
)
print(audio.uid)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "default": true,
    "label": "director commentary",
    "status": "queued",
    "uid": "ea95132c15732412d22c1476fa83f27a"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "default": true,
    "label": "director commentary",
    "status": "queued",
    "uid": "ea95132c15732412d22c1476fa83f27a"
  }
}